Package com.smartgwt.client.types

# Enum EmbeddedPosition

java.lang.Object
java.lang.Enum<EmbeddedPosition>
com.smartgwt.client.types.EmbeddedPosition

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<EmbeddedPosition>`, `Constable`

public enum EmbeddedPosition extends Enum<EmbeddedPosition> implements ValueEnum
How a component should be embedded within its record or cell

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPAND`
  component should be placed underneath normal record or cell content, expanding the records.
  `WITHIN`
  component should be placed within the normal area of the record or cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static EmbeddedPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EmbeddedPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPAND

    public static final EmbeddedPosition EXPAND
    component should be placed underneath normal record or cell content, expanding the records. Expanding records can result in variable height rows, in which case `virtualScrolling` should be enabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "expand".

  - ### WITHIN

    public static final EmbeddedPosition WITHIN
    component should be placed within the normal area of the record or cell. Percentage sizes will be treated as percentages of the record and `Canvas.snapTo` positioning settings are also allowed and refer to the rectangle of the record or cell. Note that for components embedded within cells, cell align and vAlign will be used if snapTo is unset (so top / left alignment of cell content will map to snapTo of "TL", etc).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "within".

- ## Method Details

  - ### values

    public static EmbeddedPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EmbeddedPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`